Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Appointment Types

List Appointment Types

GET
/v1/appointment-types

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string
id[in]?string
key?string
key[in]?string
external_id?string
external_id[in]?string
scheduling_enabled?boolean
status_type?string
status_type[in]?string
status_key?string
status_key[in]?string
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length
include?array<>

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/appointment-types"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "name": "string",      "description": "string",      "external_id": "string",      "key": "string",      "emoji": "string",      "scheduling_enabled": true,      "is_gallery": true,      "gallery_key": "string",      "deleted_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "statuses": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",          "appointment_type_id": "a556be33-8c12-4697-8c57-2c069da799cf",          "idx": 9007199254740991,          "name": "string",          "type": "cancelled",          "key": "string",          "is_gallery": true,          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        }      ]    }  ],  "next_page_url": "string",  "previous_page_url": "string"}